SWAB(3)

NAME
swab - swap adjacent bytes

SYNOPSIS
#include <string.h>

void swab(const void *from, void *to, size_t n);

DESCRIPTION
The swab() function copies n bytes from the array pointed to by from to the array pointed to by to, exchanging adjacent even and odd bytes. This function is used to exchange data between machines that have different low/high byte ordering.

RETURN VALUE
The swab() function returns no value.

CONFORMING TO
SVID 3, BSD 4.3

SEE ALSO
bstring(3)